<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <meta name="format-detection" content="telephone=no" />
        <meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width, height=device-height, target-densitydpi=device-dpi" />
        <link rel="stylesheet" type="text/css" href="css/index.css" />
        <link rel="stylesheet" 
        	href="css/jquery.mobile-1.3.2.min.css" />
        <link rel="stylesheet" href="img/font-awesome/css/font-awesome.min.css">
             <script src="css/jquery-1.10.1.min.js"></script>
        <script src="css/jquery.mobile-1.3.2.min.js"></script> 
        <script src="js/create-account.js"></script> 
        <script type="text/javascript">
			jQuery.getScript("js/create-account.js"); 
		</script>          
        <title>Share A Talent</title>
        
<style>


.button{background-color:#2b91af;border-radius:10px;box-shadow:0 2px 3px rgba(0,0,0,0.3);color:#fff;cursor:pointer;display:inline-block;padding:10px 20px;text-align:center;text-decoration:none}
.button.small{border-radius:15px;float:right;margin:22px 5px 0;padding:6px 15px}
.button:hover{background-color:#1e1e1e}
.button>span{font-size:84%}
.button.b-close,.button.bClose{border-radius:7px 7px 7px 7px;box-shadow:none;font:bold 131% sans-serif;padding:0 6px 2px;position:absolute;right:-7px;top:-7px}

#submit-button-wrapper{width: 95%; height: 55px; position: relative; top: 25px; display: none;}

.ui-checkbox input, .ui-radio input {
position: relative;
display: inline-block;
float: left;
margin-right: 15px;
left:0;
margin:0;
width:18px;
height:18px;
}

</style>

    </head>
    <body>
    
<!-- ******** CREATE ACCOUNT ******** -->
<!-- PAGE -->
<div data-role="page" id="create-account">

<!-- HEADER -->
<div id="header" data-role="header" data-position="fixed">
	<div id="header-line" style="background-color:#e7038c; width:100%;height:10px;"></div>
</div>
<!-- /header -->

<!-- CONTENT -->
    <div data-role="content"  id="create-account-page" style="position:relative;top:20px;">		
	<div id="create-account-form">       
        	<img src="img/login-logo.png" style="margin-bottom:15px;" />
            
<!-- *************************** -->

<div id="create-account-form-wrapper">


    <div id="form-header" style="width:100%;"><h2 style="text-align:center;">Create Your Profile - Step 1/3</h2>
	<label for="year-test">Year of Birth: 
    <p><span>We need your year of birth to confirm that you are old enough to have your own account.</span></p></label><br />
    <select id="year-test" name="year">
    	<option>-- Select Your Year of Birth --</option>
    	<option value="2013">2013</option>
        <option value="2012">2012</option>
        <option value="2011">2011</option>
        <option value="2010">2010</option>
        <option value="2009">2009</option>
        <option value="2008">2008</option>
        <option value="2007">2007</option>
        <option value="2006">2006</option>
        <option value="2005">2005</option>
        <option value="2004">2004</option>
        <option value="2003">2003</option>
        <option value="2002">2002</option>
        <option value="2001">2001</option>
        <option value="2000">2000</option>
        <option value="1999">1999</option>
        <option value="1998">1998</option>
        <option value="1997">1997</option>
        <option value="1996">1996</option>
        <option value="1995">1995</option>
        <option value="1994">1994</option>
        <option value="1993">1993</option>
        <option value="1992">1992</option>
        <option value="1991">1991</option>
        <option value="1990">1990</option>
        <option value="1989">1989</option>
        <option value="1988">1988</option>
        <option value="1987">1987</option>
        <option value="1986">1986</option>
        <option value="1985">1985</option>
        <option value="1984">1984</option>
        <option value="1983">1983</option>
        <option value="1982">1982</option>
        <option value="1981">1981</option>
        <option value="1980">1980</option>
        <option value="1979">1979</option>
        <option value="1978">1978</option>
        <option value="1977">1977</option>
        <option value="1976">1976</option>
        <option value="1975">1975</option>
        <option value="1974">1974</option>
        <option value="1973">1973</option>
        <option value="1972">1972</option>
        <option value="1971">1971</option>
        <option value="1970">1970</option>
        <option value="1969">1969</option>
        <option value="1968">1968</option>
        <option value="1967">1967</option>
        <option value="1966">1966</option>
        <option value="1965">1965</option>
        <option value="1964">1964</option>
        <option value="1963">1963</option>
        <option value="1962">1962</option>
        <option value="1961">1961</option>
        <option value="1960">1960</option>
        <option value="1959">1959</option>
        <option value="1958">1958</option>
        <option value="1957">1957</option>
        <option value="1956">1956</option>
        <option value="1955">1955</option>
        <option value="1954">1954</option>
        <option value="1953">1953</option>
        <option value="1952">1952</option>
        <option value="1951">1951</option>
        <option value="1950">1950</option>
        <option value="1949">1949</option>
        <option value="1948">1948</option>
        <option value="1947">1947</option>
        <option value="1946">1946</option>
        <option value="1945">1945</option>
        <option value="1944">1944</option>
        <option value="1943">1943</option>
        <option value="1942">1942</option>
        <option value="1941">1941</option>
        <option value="1940">1940</option>
        <option value="1939">1939</option>
        <option value="1938">1938</option>
        <option value="1937">1937</option>
        <option value="1936">1936</option>
        <option value="1935">1935</option>
        <option value="1934">1934</option>
        <option value="1933">1933</option>
        <option value="1932">1932</option>
        <option value="1931">1931</option>
        <option value="1930">1930</option>
        <option value="1929">1929</option>
        <option value="1928">1928</option>
        <option value="1927">1927</option>
        <option value="1926">1926</option>
        <option value="1925">1925</option>
        <option value="1924">1924</option>
        <option value="1923">1923</option>
        <option value="1922">1922</option>
        <option value="1921">1921</option>
        <option value="1920">1920</option>
        <option value="1919">1919</option>
        <option value="1918">1918</option>
        <option value="1917">1917</option>
        <option value="1916">1916</option>
        <option value="1915">1915</option>
        <option value="1914">1914</option>
        <option value="1913">1913</option>
        <option value="1912">1912</option>
        <option value="1911">1911</option>
        <option value="1910">1910</option>
        <option value="1909">1909</option>
        <option value="1908">1908</option>
        <option value="1907">1907</option>
        <option value="1906">1906</option>
        <option value="1905">1905</option>
        <option value="1904">1904</option>
        <option value="1903">1903</option>
        <option value="1902">1902</option>
        <option value="1901">1901</option>
        <option value="1900">1900</option>
	</select>
    </div><!-- /form-header -->
    
<!-- ******** Permission Needed ********** -->

<div id="parents-permission-needed" style="display:none;">
			<h2 style="text-align:center;">Hold on!</h2>
            <p style="font-size:14px;">You need your parent/guardian's permission to create an account. Don't worry! We'll make it easy for you!</p>
            <p style="margin-top:25px;font-size:14px;">Click the link below to send your parent/guardian an email requesting that they create an account with ShareATalent.com. They can create an account for you in just a few minutes (although you may have to help them a bit... we know how it goes). </p>
            <p style="margin-top:25px;"><a style="padding: 15px; border: 1px solid #ccc; border-radius: 5px; background-color: #3AA3D5; color: #fff; text-decoration: none;" href="mailto:?subject=Parent%2FGuardian%20Permission%20Needed%2C%20Please!&body=Can%20you%20create%20an%20account%20for%20me%20at%20www.shareatalent.com%3F%20It's%20a%20great%20site%20where%20I%20can%20share%20my%20talents%2C%20but%20you%20have%20to%20make%20an%20account%20and%20then%20create%20a%20child%20account%20for%20me%20to%20make%20sure%20I%20stay%20safe.">Email Your Parent/Guardian</a></p>
            </div>
<!-- ********************************* -->

<div id="check-user-email" style="display:none;">
<h2 style="text-align:center;">Create Your Profile - Step 2/3</h2>
<div id="create-account-wrapper">
            <div id="loading-create-check"><img style="width: 50%; margin: 5% 20%; position: relative; top: 5px; display:none;" src="img/loading.gif" /></div>
                <div id="new-user-message"></div>
                <form>
				<label for="newUserName">Username: <br /><em>(no spaces, only periods accepted)</em> </label>
                <input type="text" id="newUserName" />
                <label for="newUserEmail">Email: </label>
                <input type="email" id="newUserEmail" /><br />
                <button type="button" id="get-started-button">Check Availability</button>
                </form>
            </div> <!-- /create-account-wrapper -->

</div> <!-- /check-user-email -->
<!-- ********************************* -->    
<div id="show-form" style="display:none;">
<h2 style="text-align:center;">Create Your Profile - Step 3/3</h2>
	<div id="loading" style="display:none; height:0;"><img style="width: 50%; margin: 5% 20%; position: relative; top: 5px;" src="img/loading.gif" /></div>
    <div id="form-column-01" style="display:inline-block;">
    
    <label for="password">Password:
    <br /><em>(Must include an uppercase letter, a number and  6-15 characters long)</em> <span id="passwordMessage"></span></label><br />
	<input id="password" type="password" tabindex="1"><br />
    <label for="passwordConfirm">Confirm Password: </label><br />
    <input id="passwordConfirm" type="password" tabindex="2" /><br />    
    <label for="countrySelect">Country: <i id="country-question" class="fa fa-question-circle popups tip"><span>We need to know what country you live in to make sure we connect you to people in your region.</span></i></label><br />
    <select id="countrySelect" name="country" tabindex="3">
		<option value="blank" selected>-- Choose a Country --</option>
    	<option value="India">India</option>
        <option value="Germany">Germany</option>
        <option value="United States">United States</option>
    </select><br />
     <label for="postal">Postal Code: <i id="postal-question" class="fa fa-question-circle popups tip"><span>We need to know your postal code to make sure we connect you to people in your area. </span></i><span id="postalMessage"></span></label><br />
    <input id="postal" type="tel" name="postal" required pattern="\d+"/ tabindex="4" /><br />
    <label for="phone">Cell Phone <em>(Standard text rates may apply</em>): <i id="cell-question" class="fa fa-question-circle popups tip"><span><p>Share A Talent will send your cell phone a text message with an activation code. We use this to confirm accounts are real. Because minors may have an account on Share A Talent, we use cell phone text activation to add an extra layer of security.</p>
        <p>We do have an option for creating a profile for those who do not want to use their cell phone, but this will result in more restrictive security for your profile.</p></span></i><span id="phoneMessage"></span></label><br />
	<select id="phoneCountry" name="phoneCountry" tabindex="5">
		<option selected value="0">-- Phone's Country Code --</option>
        <option value="91">+91 - India</option>
        <option value="49">+49 - Germany</option>
		<option value="1">+1 - United States</option>
    </select>
        <input id="phone" type="tel" name="phone" tabindex="6" /><br />   
	
    <input type="checkbox"  id="noPhone" name="noPhone" value="true"  tabindex="7"/>   
    <label for="noPhone">I don't want to use a cell phone.</label><br />
    <hr />
     <label for="parent">Is this a Parent Account?: <i id="parent-question" class="fa fa-question-circle popups tip"><span><p>Parent accounts allow a parent or guardian to manage the account of a child. A parent account is required for an account to be created for a user under 14 years of age.</p>
        <p>Once a parent account has been created, the parent/guardian can easily create a child account where the password can be managed and the account can be disabled with a click. All correspondence (messages, updates, and posts) are sent to the parent account email address.</p></span></i></label><br />
	<select id="parent" name="parent" tabindex="8">
		<option selected value="No">No</option>
        <option value="Yes">Yes</option>
    </select>
    <hr />
    <div id="tosMessage"></div>
    <input type="checkbox"  id="tosAgree" name="tosAgree" value="true"  tabindex="9"/>   
    <label for="tosAgree">By checking the box, you agree to the <a href="http://www.shareatalent.com/terms-of-service">terms of service.</a></label><br>
    <div id="create-new-account-message"></div>
    
   
    <div id="submit-button-wrapper">
    <div id="submit-button-message" style="display:none;"></div>    
    <div id="submit-button-phone-wrapper">
	    <button id="submit-button" type="button" tabindex="9">Create Account!</button>
    </div>
    </div>
    
     <div id="submit-button-wrapper-no-phone" style="width: 95%; display: block; height: 55px; position: relative; top: 25px;display:none;">
     <div id="submit-button-message-no-phone" style="display:none;"></div>
     <div id="submit-button-no-phone-wrapper">
    	<button id="submit-button-no-phone" type="button"  tabindex="10">Create Account!</button>
     </div>
    </div>
	    

        </div> 
        
    </div>

</div><!-- /show-form -->
<div id="go-back-to-login-button"><a href="index.html" data-role="button" style="margin-top:20px;">Go Back to Login</a></div>
 </div><!-- /form-column-02 -->
    </div><!-- /create-account-form-wrapper -->
    <!-- /content -->
        
    <!-- FOOTER -->
    <div id="footer" data-role="footer" style="display:none;">
        <div id="footer-talents"></div>
    </div> 
    <!-- /footer -->               

</div> 
<!-- /page -->

<script type="text/javascript">
jQuery.getScript("js/create-account.js"); 

jQuery(window).load(yearTest); 
jQuery(window).load(passTest); 
jQuery(window).load(phoneCheck); 
jQuery(window).load(postalCheck); 
jQuery(window).load(phoneValidate); 
jQuery(window).load(tosCheck); 
jQuery(window).load(noPhone); 

function clearAccountSessionInfo(){
	console.log("Reset Account Creation data");
	window.localStorage.removeItem("passwordPassed");
	window.localStorage.removeItem("postalPassed");
	window.localStorage.removeItem("phonePassed");
	window.localStorage.removeItem("noPhone");
	}

function yearTest(){
	console.log("Ready to test the user's year!")
	jQuery('#year-test').on("change",function(){
		var yearOfBirth = jQuery('#year-test option:selected').val();
		console.log("Year test changed!! "+yearOfBirth);
		var d = new Date();
		var thisYear = d.getFullYear();
		var age = thisYear - yearOfBirth;
		console.log("Your age: "+age);
		if (age <= 13) {
			jQuery("#parents-permission-needed").slideDown("fast");
			jQuery("#check-user-email").slideUp("fast");
			}
		if (age >= 14) {
			console.log("Age Passed!")
			jQuery("#check-user-email").slideDown("fast");
			jQuery("#parents-permission-needed").slideUp("fast");
			}
		})
	}; // end yearTest

function passTest(){
jQuery("#password").on("change",function(){			
	var passwordStrengthRegex = /((?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{6,15})/gm;
		var password = jQuery("#password").val();
		passStrength = password.match(passwordStrengthRegex);
		console.log('passwordStrengthRegex: '+passStrength);
		if(passStrength == null) {
			localStorage.setItem("AccountCreationError", 1);
			jQuery("#passwordMessage").html('<p style="color:red;">Password doesn\'t include uppercase letter, lowercase letter, and number.</p>');
			}
		else {jQuery("#passwordMessage").html('');}
});

	jQuery("#passwordConfirm").on("change",function(){		
		console.log("password: "+jQuery("#password").val());
		var password = jQuery("#password").val();
		var passConf = jQuery("#passwordConfirm").val();
		console.log("password: "+password);
		console.log("passConf: "+passConf);
		if(password == passConf){
			jQuery("#passwordMessage").html('<span style="color:darkgreen;">Passwords Match!</span>');
			console.log("password matched!");
			localStorage.removeItem("AccountCreationError");
			localStorage.setItem("passwordPassed", true);
			} else {
			jQuery("#passwordMessage").html('<span style="color:red;">Passwords Do Not Match!</span>');
			console.log("password mismatched!");
			localStorage.setItem("AccountCreationError", 1);
			}		
		});
	}	// end passTest

function phoneCheck(){
	jQuery('#phoneCountry').on("change", function(){
		jQuery('#phone').val('');
		var phoneVal = jQuery('#phoneCountry :selected').val();
		console.log(phoneVal);
		if(phoneVal == 1){
			jQuery('#phone').attr("placeholder","###-###-####");
			jQuery('#phone').removeAttr("disabled");
			}
		if(phoneVal == 91){
			jQuery('#phone').attr("placeholder","AAAA-BBBB");
			jQuery('#phone').removeAttr("disabled");
			}
		if(phoneVal == 49){
			jQuery('#phone').attr("placeholder","AAAA BBBBBB");
			jQuery('#phone').removeAttr("disabled");
			}
		if(phoneVal == 0){
			jQuery('#phone').attr("placeholder","");
			jQuery('#phone').attr("disabled","disabled");
			jQuery('#phone').val('');
			}
		})// end on change
	}	// end phoneCheck

function postalCheck(){
		jQuery("#countrySelect").on("change",function(){
		jQuery("#postal").val('');
		jQuery("#postalMessage").html('');
		localStorage.removeItem("postalPassed");
		var country = jQuery("#countrySelect :selected").val();
		console.log("Country: "+country);
		if(country !== "blank"){
			jQuery('#postal').removeAttr("disabled");
			if(country == "United States"){
				jQuery('#postal').attr("placeholder","#####");
				}
			if(country == "Germany"){
				jQuery('#postal').attr("placeholder","####");
				}
			if(country == "India"){
				jQuery('#postal').attr("placeholder","######");
				}	
			} // end if country not blank
		});// end countrySelect change

	jQuery('#postal').on("change", function(){
		var postalCode = jQuery('#postal').val().replace(/\D/g,'');
		var postLen	= postalCode.length;
		console.log("postal code: "+postalCode);		
		var country = jQuery("#countrySelect :selected").val();		
			if(country == "United States" && postLen !== 5){
				jQuery('#postalMessage').html('<span style="color:red;">That postal code is not right!</span>');
				localStorage.removeItem("postalPassed");
				console.log("postalPassed removed");
				}
			if(country == "United States" && postLen == 5){
				jQuery('#postalMessage').html('<span style="color:darkgreen;">That postal code looks good!</span>');
				localStorage.setItem("postalPassed", true);
				}
			if(country == "Germany" && postLen !== 4){
				jQuery('#postalMessage').html('<span style="color:red;">That postal code is not right!</span>');
				localStorage.removeItem("postalPassed");
				console.log("postalPassed removed");
				}
			if(country == "Germany" && postLen == 4){
				jQuery('#postalMessage').html('<p style="color:darkgreen;">That postal code looks good!</p>');
				localStorage.setItem("postalPassed", true);
				}
			if(country == "India" && postLen !== 6){
				jQuery('#postalMessage').html('<span style="color:red;">That postal code is not right!</span>');
				localStorage.removeItem("postalPassed");
				console.log("postalPassed removed");
				}
			if(country == "India" && postLen == 6){
				jQuery('#postalMessage').html('<span style="color:darkgreen;">That postal code looks good!</span>');
				localStorage.setItem("postalPassed", true);
				}
		jQuery('#postal').val(postalCode);
	}); // end on change
	}// end postalCheck

function phoneValidate(){
	jQuery("#phone").on("change",function(){
		var phoneNum = jQuery("#phone").val();
		var phoneNumCleaned = phoneNum.replace(/\D/g,'');
		var phoneLen	= phoneNumCleaned.length;
		console.log("Phone #: "+phoneNumCleaned);
		console.log("Phone Length: "+phoneLen);
		var phoneVal = jQuery('#phoneCountry :selected').val();
			if(phoneVal == 1){
				console.log("Len must be 7");
				if(phoneLen !== 10){
					jQuery("#phoneMessage").html('<span style="color:red;">Phone # does not look right!</span>');
					localStorage.removeItem("phonePassed"); 
					jQuery("#tosAgree").prop('checked', false);
					} else {
					jQuery("#phoneMessage").html('<span style="color:darkgreen;">Phone # looks good!</span>');
					localStorage.setItem("phonePassed", true);
					}
			}
		if(phoneVal == 91){
				console.log("Len must be 8");
				if(phoneLen !== 8){
					jQuery("#phoneMessage").html('<span style="color:red;">Phone # does not look right!</span>');
					localStorage.removeItem("phonePassed"); 
					jQuery("#tosAgree").prop('checked', false); 
					} else {
					jQuery("#phoneMessage").html('<span style="color:darkgreen;">Phone # looks good!</span>');
					localStorage.setItem("phonePassed", true);
					}
			}
		if(phoneVal == 49){
			console.log("Len must be 10");
			if(phoneLen !== 10){
					jQuery("#phoneMessage").html('<span style="color:red;">Phone # does not look right!</span>')
					localStorage.removeItem("phonePassed"); 
					jQuery("#tosAgree").prop('checked', false);
					} else {
					jQuery("#phoneMessage").html('<span style="color:darkgreen;">Phone # looks good!</span>');
					localStorage.setItem("phonePassed", true);
					}
			}		
		});// end on change
	}// end phoneValidate

function tosCheck(){
	jQuery("#tosAgree").on("change", function(){
		jQuery("#tosMessage").html('')
		var c = this.checked ? true : false;	
		if(c == true) {console.log("Checked!")
		var phoneComplete = 'false';
		var passPass = localStorage.getItem("passwordPassed");
		console.log("Password check: "+passPass);		
		var postPass = localStorage.getItem("postalPassed");
		console.log("Postal check: "+postPass);
		var phonePass = localStorage.getItem("phonePassed");
		console.log("Phone check: "+phonePass);
		var noPhone = localStorage.getItem("noPhone");
		if(phonePass == 'true' || noPhone == 'true'){phoneComplete = 'true'}
		// if all looks good, show the create account button			
		if(passPass == 'true' && postPass == 'true' && phoneComplete == 'true' ){
			console.log("Everything looks good!");
			console.log("Ready to submit account info!");			
			submitNewAccountInfo();
			}// end if all looks good!
		if(passPass == null || postPass == null || phoneComplete == 'false' ){
			passingGrade = 0;
			if(passPass == null){
				jQuery("#tosMessage").append('<p style="color:red;">&#149; You\'re password isn\'t right.</p>')
				};
			if(postPass == null){
				jQuery("#tosMessage").append('<p style="color:red;">&#149; You\'re postal code needs to be corrected.</p>')
				};
			if(phonePass == null){
				jQuery("#tosMessage").append('<p style="color:red;">&#149; You\'re phone info is incomplete.</p>')
				};
		jQuery("#tosAgree").prop('checked', false);
		} // end if one of the session vars is null				

		} // end if checked

	if(c == false) {
		console.log("Unchecked!")
		jQuery("#submit-button-wrapper").css("display","none")
		}// end if
		});		
	} // end tosCheck
	
function noPhone(){

		jQuery("#noPhone").on("change", function(){
		var p = this.checked ? true : false;	
			if(p == true) {
				console.log("No Phone checked!");
				localStorage.setItem("noPhone", true);	
				jQuery("#phoneCountry").prop('disabled', 'disabled');
				jQuery("#phoneMessage").html('');
				}	
			if(p == false) {
				console.log("No Phone unchecked!");
				localStorage.removeItem("noPhone");
				jQuery("#phoneCountry").prop('disabled', false);
				jQuery("#tosAgree").prop('checked', false);
				//jQuery("#submit-button-wrapper").css("display","none")
				}
		}) // end if one of the session vars is null	
	} // end noPhone

function submitNewAccountInfo(){
	clearAccountSessionInfo();
	var newUserInfo = '';
	var hash = '';
	var nuid = '';
	noPhone  = localStorage.getItem("noPhone");	

// No Phone account creation
	if(noPhone == 'true'){
	jQuery("#submit-button-wrapper-no-phone").slideDown("fast");
		console.log("Submit button enabled no phone");	
		jQuery("#submit-button-no-phone").on("click",function(){
		jQuery("#loading").css("display","block");
		console.log("Submit button clicked (no phone)!");
		var year = jQuery("#year-test :selected").val();
		var user = jQuery("#newUserName").val();
		var emal = jQuery("#newUserEmail").val();
		var pass = jQuery("#password").val();
		var coun = encodeURIComponent(jQuery("#countrySelect :selected").val());
		var post = jQuery("#postal").val();
		var parn = jQuery("#parent :selected").val();		
		
		var create_user_url = 'http://www.shareatalent.com/api/createuser/createUser_api/?username='+user+'&pass='+pass+'&email='+emal+'&tos=true&year='+year+'&postal='+post+'&country='+coun+'&parent='+parn+'&phone=0&phonecountry=0&user_activation_type=2';
			console.log("Create User URL: "+create_user_url);

			jQuery("#submit-button-message").html('<h3>Creating Account!</h3>');
			jQuery("#submit-button-message-no-phone").slideDown("fast");
			jQuery("#go-back-to-login-button").hide();

			jQuery.getJSON(create_user_url,
						function(newUser){																	
							var newUserInfo = JSON.stringify(newUser);
							console.log(newUser)
							console.log('newUserInfo: ' + newUserInfo);
							console.log('Status: ' + newUser.status);
							console.log('UserID: ' + newUser.user_id);
							console.log('Hash: ' + newUser.hash);
							console.log('User: ' + newUser.username);
							console.log('Email: ' + newUser.email);
							console.log('Type: ' + newUser.type);
							var nuid = newUser.user_id;
							localStorage.setItem("nuid", newUser.user_id);
							localStorage.setItem("satUserID", newUser.user_id);
							localStorage.setItem("sat_hash", newUser.hash);
							localStorage.setItem("sat_username", newUser.username);
							localStorage.setItem("sat_email", newUser.email);
							localStorage.setItem("sat_type", newUser.type);									
						}// end function
					).always(function(){
						jQuery("#loading").hide()
						} // end .always
					).done(function(){
					console.log("Create account success!");					
					var satType = localStorage.getItem("sat_type");
					jQuery("#submit-button-message-no-phone").html('<a style="color:red;"href="activate.html" data-role="button">Active Your Account!</a>').trigger("create");					
					jQuery("#submit-button-no-phone-wrapper").slideUp("fast");
						} // end .done
				)// end getJSON
			
		})// end click
		
			
	} else {

// Phone account creation
	jQuery("#submit-button-wrapper").slideDown("fast");
			console.log("Submit button enabled");
	jQuery("#submit-button").on("click",function(){		
		console.log("Submit button clicked!");
		var year = jQuery("#year-test :selected").val();
		var user = jQuery("#newUserName").val();
		var emal = jQuery("#newUserEmail").val();
		var pass = jQuery("#password").val();
		var coun = jQuery("#countrySelect :selected").val();
		var post = jQuery("#postal").val();
		var phco = jQuery("#phoneCountry :selected").val();
		var phon = jQuery("#phone").val();
		console.log("year: "+year);
		console.log("user: "+user);
		console.log("emal: "+emal);
		console.log("pass: "+pass);
		console.log("coun: "+coun);
		console.log("post: "+post);
		console.log("phco: "+phco);
		console.log("phon: "+phon);	
		jQuery("#loading").show();
		//alert("year: "+year+" user: "+user+" emal: "+emal+" pass: "+pass+" coun: "+coun+" post: "+post+" phco: "+phco+" phon: "+phon);	

		var create_user_url = 'http://www.shareatalent.com/api/createuser/createUser_api/?username='+user+'&pass='+pass+'&email='+emal+'&tos=true&year='+year+'&postal='+post+'&country='+coun+'&phone='+phon+'&phonecountry='+phco+'&user_activation_type=0';

			jQuery("#submit-button-message").html('<h3>Creating Account!</h3>');
			jQuery("#submit-button-message").slideDown("fast");
			jQuery("#go-back-to-login-button").hide();

			jQuery.getJSON(create_user_url,
						function(newUser){ 
							jQuery("#submit-button-message").html('<h3>Creating Account!</h3>')
							var newUserInfo = JSON.stringify(newUser);
							
							console.log(newUser)
							console.log('newUserInfo: ' + newUserInfo);
							console.log('Status: ' + newUser.status);
							console.log('UserID: ' + newUser.user_id);
							console.log('Hash: ' + newUser.hash);
							console.log('User: ' + newUser.username);
							console.log('Email: ' + newUser.email);
							console.log('Type: ' + newUser.type);
							var nuid = newUser.user_id;
							localStorage.setItem("nuid", newUser.user_id);
							localStorage.setItem("satUserID", newUser.user_id);
							localStorage.setItem("sat_hash", newUser.hash);
							localStorage.setItem("sat_username", newUser.username);
							localStorage.setItem("sat_email", newUser.email);
							localStorage.setItem("sat_type", newUser.type);			
						}// end function
					).always(function(){
						jQuery("#loading").hide()}
					).done(function(){
						var satType = localStorage.getItem("sat_type");
					jQuery("#submit-button-message").html('<a style="color:red;" href="activate.html" data-role="button">Active Your Account!</a>').trigger("create");
					jQuery("#submit-button-phone-wrapper").slideUp("fast");
					
						
						}); // end getJSON	
	});// end submitNewAccountInfo	

	}}

// ***********************

function createAccountCredentials(){

				//checkLoginInfo();
				var newUserName 	= '';
				var newUserEmail 	= '';
				console.log("Ready to test new account values.")
				
				jQuery('#get-started-button').on("click",function(event){
					event.preventDefault();
					jQuery("#new-user-message").html('');
					var newUserName 	= jQuery('#newUserName').val();
					var newUserEmail 	= jQuery('#newUserEmail').val();
					console.log("name: "+newUserName+" Email: "+newUserEmail);
					var lengthUser		= newUserName.length;
					var lengthEmail 	= newUserEmail.length;
					var lengthBoth 		= lengthUser + lengthEmail;
					//console.log(" lengthUser: "+lengthUser+" lengthEmail: "+lengthEmail+" lengthBoth: "+lengthBoth)
					if(lengthUser <= 1 || lengthEmail <= 1){
						//console.log("Nothing entered!");
						jQuery("#new-user-message").html('<p style="color:red;">You can\'t leave Username or Email blank...</p>'+
						'<p style="color:red;">Hint: Filling out forms is not your talent</p>');						
						} else {
						//console.log("name: "+newUserName+" Email: "+newUserEmail);
						validEmail(newUserEmail);
						}// end else 
						}) 
				}// end 
			
			function validEmail(v) {
				//console.log("testing email: "+v)    			
				var hasAt = v.indexOf('@');
				var hasDot = v.indexOf('.');
				var varsAdded = hasAt + hasDot;
				//console.log(varsAdded);
				if(varsAdded >= 1 && hasAt >= 1 && hasDot >= 1) {
					ajaxCheckDups();
					} else {
						jQuery("#new-user-message").html('<span style="color:red;">That email doesn\'t look right...</span>');
						}
function ajaxCheckDups(){
	console.log("Email looks good. Time to see if it is a dup");	
	//jQuery("#get-started-button").attr("disabled",true);
	var newUserName 	= jQuery('#newUserName').val();
	var newUserEmail 	= jQuery('#newUserEmail').val();
	var dupCheckURL 	= 'http://www.shareatalent.com/api/createuser/checkUsernameEmail_api/?user='+newUserName+'&eml='+newUserEmail;
	console.log(dupCheckURL);
jQuery.ajax({
	url: dupCheckURL,
	type: 'get',
	dataType: 'jsonp',
	//data: {user: newUserName, eml: newUserEmail},
	beforeSend: function(){jQuery('#loading').show()},
	success: function(result){	
		console.log("Success on Ajax");
		dupCheckResults(result);
		if(result.status == "error"){
			jQuery("#new-user-message").html('<h3 style="color:red;">'+result.message+'</h3>').trigger("create");
			jQuery("#show-form").slideUp("fast");
			} else {
			var newUserName 	= jQuery('#newUserName').val();
			var newUserEmail 	= jQuery('#newUserEmail').val();
			jQuery("#new-user-message").html('<form action="<?php echo site_url(); ?>/create-profile"'+
			'method="post" style="display:none;" name="createProfile">'+
			'<input type="text" name="newUserName" value="'+newUserName+'" />'+
			'<input type="text" name="newEmail" value="'+newUserEmail+'" />'+
			'<input type="text" name="home_referral" value="true" />')
			if(result.message == 'That Username is already in use. Try another!'){
				jQuery("#show-form").slideUp("fast");
				} else {
				jQuery("#show-form").slideDown("fast");
				jQuery("#get-started-button").slideUp("fast");
			} // else
				
			}
		
		},
	error: function(){
		console.log("Error on Ajax");
		console.log(result);
		},
	});
	function dupCheckResults(result){
		console.log("Successful Ajax!");
		jQuery('#loading').hide();
		console.log(result);
		}
						}// end aJaxCheckDups

}// end createAccountCredentials

</script>

</body>
</html>
